import { System } from '../system';
import { Functional } from './Functional';
import { Done } from './Functional/Done';
export declare class WaitAll<T = any> extends Functional<T, T> {
    constructor(system: System);
    f(i: Partial<T>, done: Done<T>): void;
}
